/problems
Retrieves a list of all available Problem Areas. A Problem Area represents a broad category used to group related types of issues that may occur in a facility, asset, or service environment. These areas provide structure and context when classifying problems and are typically used for organizing and filtering Problem Types during issue reporting, tracking, or resolution workflows. Problem Areas are not directly actionable but serve as logical containers for related Problem Types. Examples:
getProblemAreas
| Name | Type | Description |
|---|---|---|
filter[client_id]
|
integer |
Filter Problem Areas by client. Only returns Problem Areas that are accessible to the specified client. |
filter[network_only_with_client]
|
boolean |
Filter Problem Areas from Network without Client. Only returns Problem Areas from Network that belong to the specified client. |
data
array<object>
id
string
required
read-only
ID of the Problem Area
Example: 888
type
string
required
read-only
Model type
problem_area
attributes
object
required
problem_id
integer
required
read-only
Unique identifier of the Problem Area
Example: 888
name
string
required
read-only
Name of the Problem Area
Example: Electric
full_name
string
required
read-only
Full name of the Problem Area
Example: Electric - Electric
description
string | null
required
Additional information
Example: Area of problems related to electricity
entity_id
integer
required
read-only
The ID of the entity that this problem area belongs to
Example: 1
created_at
string (date-time) | null
required
read-only
The date and time when the problem area was created
Example: 2022-10-06 11:35:28
updated_at
string (date-time) | null
required
read-only
The date and time when the problem area was last updated
Example: 2022-10-06 11:35:28
has_network_mapping
boolean
required
read-only
Specifies if this problem area is shared and has an established mapping to a corresponding entity in an external network
Example:
is_from_network
boolean
required
read-only
Specifies if this problem area is shared and has been imported from an external network
Example:
relationships
object
children
object
data
array<object>
type
string
read-only
problem_type
id
string
read-only
Example: 123
included
array<object>
List of relationships to be included
id
string
required
read-only
ID of the Problem Type
type
string
required
read-only
Model type
problem_type
attributes
object
required
problem_id
integer
read-only
Unique identifier of the problem type.
Example: 123
name
string
read-only
Name of the problem type.
Example: Power outage
full_name
string
read-only
Name of the problem area concatenated by hyphen with problem name.
Example: Electric - Power outage
description
string | null
Additional information
Example: Power outage with no electricity supply
parent_id
integer
read-only
ID of the problem area.
Example: 1
entity_id
integer
read-only
The ID of the entity that this problem type belongs to.
Example: 1
created_at
string (date-time)
read-only
The date and time when the problem area was created
Example: 2022-10-06 11:35:28
updated_at
string (date-time)
read-only
The date and time when the problem area was last updated
Example: 2022-10-06 11:35:28
has_network_mapping
boolean
read-only
Specifies if this problem area is shared and has an established mapping to a corresponding entity in an external network
Example:
is_from_network
boolean
read-only
Specifies if this problem area is shared and has been imported from an external network
Example:
relationships
object
parent
object
data
object
type
string
read-only
problem_area
id
string
read-only
meta
object
Meta model structure details
pagination
object
total
integer
required
Total items.
Example: 1
count
integer
required
Total items returned for the current page.
Example: 1
per_page
integer
required
Maximum number of records per page.
Example: 1
current_page
integer
required
Number of the current page.
total_pages
integer
required
Number of the total pages.
links
object
Requests that return multiple items include a `links` attribute, with links related to request's context.
self
string
required
read-only
Current response link.
Example: /path?page=1
first
string
required
read-only
Link to the first page result.
Example: /path?page=1
last
string
required
read-only
Link to the previous page result.
Example: /path?page=1
next
string
read-only
Link to the next page result.
Example: /path?page=1
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/problems' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/problems', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/problems');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/problems',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()